com.saxonica.schema

## Class MaxLengthFacet

- java.lang.Object
- - com.saxonica.schema.Facet
  - - com.saxonica.schema.LengthRangeFacet
    - - com.saxonica.schema.MaxLengthFacet

- All Implemented Interfaces:
    Serializable

      public class MaxLengthFacet
      extends LengthRangeFacet

  Represents the minLength facet
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxLengthFacet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkFacetRestriction(UserSimpleType type, SimpleType base, SchemaCompiler compiler)` Check that this facet is legal when used on a type derived by restriction
    `String` | `getName()` Returns the name of this Facet
    `boolean` | `testLength(int actualLength)` Test whether a supplied length conforms to this required length

    - ### Methods inherited from class com.saxonica.schema.LengthRangeFacet

      `getFacetAsFunctionItem, getValue, setNumericValue, setValue, testAtomicValue, toLong`

    - ### Methods inherited from class com.saxonica.schema.Facet

      `getMessage, getWhitespaceAction, isConstraining, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, setMessage, testListValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxLengthFacet

          public MaxLengthFacet()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from class: `Facet`
      Returns the name of this Facet
      Specified by:
        `getName` in class `Facet`
      Returns:
        the name of this Facet

    - #### checkFacetRestriction

          public void checkFacetRestriction(UserSimpleType type,
                                   SimpleType base,
                                   SchemaCompiler compiler)
                                     throws SchemaException,
                                            ValidationException

      Check that this facet is legal when used on a type derived by restriction
      Overrides:
        `checkFacetRestriction` in class `Facet`
      Parameters:
        `base` - the type from which the restricted type is derived
        `compiler` - the schema compiler
        `type` - the type on which the facet is defined
      Throws:
        `SchemaException` - if the facet is not legal
        `ValidationException` - if a value is found that does not conform to the facet

    - #### testLength

          public boolean testLength(int actualLength)

      Test whether a supplied length conforms to this required length
      Specified by:
        `testLength` in class `LengthRangeFacet`
      Parameters:
        `actualLength` - the actual length of the list
      Returns:
        true if the facet allows a list of this length, otherwise false

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.